<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>wisenergy-parent</artifactId>
        <groupId>cn.wisenergy</groupId>
        <version>1.0-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <artifactId>wisenergy-service</artifactId>
    <version>${moduleVersion.wisenergy-service}</version>
    <packaging>jar</packaging>

    <!-- 项目依赖 -->
    <dependencies>
        <dependency>
            <groupId>cn.wisenergy</groupId>
            <artifactId>wisenergy-mapper</artifactId>
            <version>${moduleVersion.wisenergy-mapper}</version>
        </dependency>
        <!--综合安防管理平台提供了OpenAPI安全认证库（Java、C++）快速实现接口调用。-->
        <dependency>
            <groupId>com.hikvision.ga</groupId>
            <artifactId>artemis-http-client</artifactId>
            <version>1.1.3</version>
        </dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>20.1.0</version>
        </dependency>
        <!-- 短信-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
        </dependency>

        <!--阿里支付 https://mvnrepository.com/artifact/com.alipay.sdk/alipay-easysdk -->
        <dependency>
            <groupId>com.alipay.sdk</groupId>
            <artifactId>alipay-sdk-java</artifactId>
            <version>4.11.33.ALL</version>
        </dependency>

        <!--微信支付-->
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>3.6.0</version>
        </dependency>

        <dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-apache-httpclient</artifactId>
            <version>0.2.1</version>
        </dependency>

        <!--pdf导出 -->
        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itextpdf</artifactId>
            <version>5.5.13</version>
        </dependency>

        <dependency>
            <groupId>com.itextpdf</groupId>
            <artifactId>itext-asian</artifactId>
            <version>5.2.0</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <!--有赞SDK-->
        <dependency>
            <groupId>com.youzan.cloud</groupId>
            <artifactId>open-sdk-core</artifactId>
            <version>1.0.7-RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.youzan.cloud</groupId>
            <artifactId>open-sdk-gen</artifactId>
            <version>1.0.7.78771202102051104-RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.youzan.cloud</groupId>
            <artifactId>open-sdk-api</artifactId>
            <version>1.0.7-RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.youzan.cloud</groupId>
            <artifactId>open-sdk-common</artifactId>
            <version>1.0.7-RELEASE</version>
        </dependency>
    </dependencies>

    <!-- MAVEN构建 -->
    <build>
        <finalName>${project.artifactId}-${moduleVersion.wisenergy-mapper}</finalName>
    </build>

</project>